/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_CAMPRKPERSERVICE_CAMERAPARKINGPERCEPTIONSERVICE_COMMON_H
#define JAC_AP_CAMPRKPERSERVICE_CAMERAPARKINGPERCEPTIONSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "perception/impl_type_cam2camperceptionstruct.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace camprkperservice {

class CameraParkingPerceptionService {
public:
    constexpr CameraParkingPerceptionService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/CameraParkingPerceptionService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace camprkperservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_CAMPRKPERSERVICE_CAMERAPARKINGPERCEPTIONSERVICE_COMMON_H
